Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
246.64.0.0
Broadcast address
246.127.255.255
First usable
246.64.0.1
Last usable
246.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F6400000 · Integer 4131389440 to 4135583743
Reverse DNS zones
64.246.in-addr.arpa
65.246.in-addr.arpa
66.246.in-addr.arpa
67.246.in-addr.arpa
68.246.in-addr.arpa
69.246.in-addr.arpa
70.246.in-addr.arpa
71.246.in-addr.arpa
72.246.in-addr.arpa
73.246.in-addr.arpa
74.246.in-addr.arpa
75.246.in-addr.arpa
76.246.in-addr.arpa
77.246.in-addr.arpa
78.246.in-addr.arpa
79.246.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.01000000.00000000.00000000246.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11110110.01000000.00000000.00000000246.64.0.0
Broadcast11110110.01111111.11111111.11111111246.127.255.255
Split into smaller subnets/17

246.64.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.64.0.0/17246.64.0.1 to 246.64.127.254246.64.127.25532,766
2246.64.128.0/17246.64.128.1 to 246.64.255.254246.64.255.25532,766
3246.65.0.0/17246.65.0.1 to 246.65.127.254246.65.127.25532,766
4246.65.128.0/17246.65.128.1 to 246.65.255.254246.65.255.25532,766
5246.66.0.0/17246.66.0.1 to 246.66.127.254246.66.127.25532,766
6246.66.128.0/17246.66.128.1 to 246.66.255.254246.66.255.25532,766
7246.67.0.0/17246.67.0.1 to 246.67.127.254246.67.127.25532,766
8246.67.128.0/17246.67.128.1 to 246.67.255.254246.67.255.25532,766
9246.68.0.0/17246.68.0.1 to 246.68.127.254246.68.127.25532,766
10246.68.128.0/17246.68.128.1 to 246.68.255.254246.68.255.25532,766
11246.69.0.0/17246.69.0.1 to 246.69.127.254246.69.127.25532,766
12246.69.128.0/17246.69.128.1 to 246.69.255.254246.69.255.25532,766
13246.70.0.0/17246.70.0.1 to 246.70.127.254246.70.127.25532,766
14246.70.128.0/17246.70.128.1 to 246.70.255.254246.70.255.25532,766
15246.71.0.0/17246.71.0.1 to 246.71.127.254246.71.127.25532,766
16246.71.128.0/17246.71.128.1 to 246.71.255.254246.71.255.25532,766
17246.72.0.0/17246.72.0.1 to 246.72.127.254246.72.127.25532,766
18246.72.128.0/17246.72.128.1 to 246.72.255.254246.72.255.25532,766
19246.73.0.0/17246.73.0.1 to 246.73.127.254246.73.127.25532,766
20246.73.128.0/17246.73.128.1 to 246.73.255.254246.73.255.25532,766
21246.74.0.0/17246.74.0.1 to 246.74.127.254246.74.127.25532,766
22246.74.128.0/17246.74.128.1 to 246.74.255.254246.74.255.25532,766
23246.75.0.0/17246.75.0.1 to 246.75.127.254246.75.127.25532,766
24246.75.128.0/17246.75.128.1 to 246.75.255.254246.75.255.25532,766
25246.76.0.0/17246.76.0.1 to 246.76.127.254246.76.127.25532,766
26246.76.128.0/17246.76.128.1 to 246.76.255.254246.76.255.25532,766
27246.77.0.0/17246.77.0.1 to 246.77.127.254246.77.127.25532,766
28246.77.128.0/17246.77.128.1 to 246.77.255.254246.77.255.25532,766
29246.78.0.0/17246.78.0.1 to 246.78.127.254246.78.127.25532,766
30246.78.128.0/17246.78.128.1 to 246.78.255.254246.78.255.25532,766
31246.79.0.0/17246.79.0.1 to 246.79.127.254246.79.127.25532,766
32246.79.128.0/17246.79.128.1 to 246.79.255.254246.79.255.25532,766
33246.80.0.0/17246.80.0.1 to 246.80.127.254246.80.127.25532,766
34246.80.128.0/17246.80.128.1 to 246.80.255.254246.80.255.25532,766
35246.81.0.0/17246.81.0.1 to 246.81.127.254246.81.127.25532,766
36246.81.128.0/17246.81.128.1 to 246.81.255.254246.81.255.25532,766
37246.82.0.0/17246.82.0.1 to 246.82.127.254246.82.127.25532,766
38246.82.128.0/17246.82.128.1 to 246.82.255.254246.82.255.25532,766
39246.83.0.0/17246.83.0.1 to 246.83.127.254246.83.127.25532,766
40246.83.128.0/17246.83.128.1 to 246.83.255.254246.83.255.25532,766
41246.84.0.0/17246.84.0.1 to 246.84.127.254246.84.127.25532,766
42246.84.128.0/17246.84.128.1 to 246.84.255.254246.84.255.25532,766
43246.85.0.0/17246.85.0.1 to 246.85.127.254246.85.127.25532,766
44246.85.128.0/17246.85.128.1 to 246.85.255.254246.85.255.25532,766
45246.86.0.0/17246.86.0.1 to 246.86.127.254246.86.127.25532,766
46246.86.128.0/17246.86.128.1 to 246.86.255.254246.86.255.25532,766
47246.87.0.0/17246.87.0.1 to 246.87.127.254246.87.127.25532,766
48246.87.128.0/17246.87.128.1 to 246.87.255.254246.87.255.25532,766
49246.88.0.0/17246.88.0.1 to 246.88.127.254246.88.127.25532,766
50246.88.128.0/17246.88.128.1 to 246.88.255.254246.88.255.25532,766
51246.89.0.0/17246.89.0.1 to 246.89.127.254246.89.127.25532,766
52246.89.128.0/17246.89.128.1 to 246.89.255.254246.89.255.25532,766
53246.90.0.0/17246.90.0.1 to 246.90.127.254246.90.127.25532,766
54246.90.128.0/17246.90.128.1 to 246.90.255.254246.90.255.25532,766
55246.91.0.0/17246.91.0.1 to 246.91.127.254246.91.127.25532,766
56246.91.128.0/17246.91.128.1 to 246.91.255.254246.91.255.25532,766
57246.92.0.0/17246.92.0.1 to 246.92.127.254246.92.127.25532,766
58246.92.128.0/17246.92.128.1 to 246.92.255.254246.92.255.25532,766
59246.93.0.0/17246.93.0.1 to 246.93.127.254246.93.127.25532,766
60246.93.128.0/17246.93.128.1 to 246.93.255.254246.93.255.25532,766
61246.94.0.0/17246.94.0.1 to 246.94.127.254246.94.127.25532,766
62246.94.128.0/17246.94.128.1 to 246.94.255.254246.94.255.25532,766
63246.95.0.0/17246.95.0.1 to 246.95.127.254246.95.127.25532,766
64246.95.128.0/17246.95.128.1 to 246.95.255.254246.95.255.25532,766
65246.96.0.0/17246.96.0.1 to 246.96.127.254246.96.127.25532,766
66246.96.128.0/17246.96.128.1 to 246.96.255.254246.96.255.25532,766
67246.97.0.0/17246.97.0.1 to 246.97.127.254246.97.127.25532,766
68246.97.128.0/17246.97.128.1 to 246.97.255.254246.97.255.25532,766
69246.98.0.0/17246.98.0.1 to 246.98.127.254246.98.127.25532,766
70246.98.128.0/17246.98.128.1 to 246.98.255.254246.98.255.25532,766
71246.99.0.0/17246.99.0.1 to 246.99.127.254246.99.127.25532,766
72246.99.128.0/17246.99.128.1 to 246.99.255.254246.99.255.25532,766
73246.100.0.0/17246.100.0.1 to 246.100.127.254246.100.127.25532,766
74246.100.128.0/17246.100.128.1 to 246.100.255.254246.100.255.25532,766
75246.101.0.0/17246.101.0.1 to 246.101.127.254246.101.127.25532,766
76246.101.128.0/17246.101.128.1 to 246.101.255.254246.101.255.25532,766
77246.102.0.0/17246.102.0.1 to 246.102.127.254246.102.127.25532,766
78246.102.128.0/17246.102.128.1 to 246.102.255.254246.102.255.25532,766
79246.103.0.0/17246.103.0.1 to 246.103.127.254246.103.127.25532,766
80246.103.128.0/17246.103.128.1 to 246.103.255.254246.103.255.25532,766
81246.104.0.0/17246.104.0.1 to 246.104.127.254246.104.127.25532,766
82246.104.128.0/17246.104.128.1 to 246.104.255.254246.104.255.25532,766
83246.105.0.0/17246.105.0.1 to 246.105.127.254246.105.127.25532,766
84246.105.128.0/17246.105.128.1 to 246.105.255.254246.105.255.25532,766
85246.106.0.0/17246.106.0.1 to 246.106.127.254246.106.127.25532,766
86246.106.128.0/17246.106.128.1 to 246.106.255.254246.106.255.25532,766
87246.107.0.0/17246.107.0.1 to 246.107.127.254246.107.127.25532,766
88246.107.128.0/17246.107.128.1 to 246.107.255.254246.107.255.25532,766
89246.108.0.0/17246.108.0.1 to 246.108.127.254246.108.127.25532,766
90246.108.128.0/17246.108.128.1 to 246.108.255.254246.108.255.25532,766
91246.109.0.0/17246.109.0.1 to 246.109.127.254246.109.127.25532,766
92246.109.128.0/17246.109.128.1 to 246.109.255.254246.109.255.25532,766
93246.110.0.0/17246.110.0.1 to 246.110.127.254246.110.127.25532,766
94246.110.128.0/17246.110.128.1 to 246.110.255.254246.110.255.25532,766
95246.111.0.0/17246.111.0.1 to 246.111.127.254246.111.127.25532,766
96246.111.128.0/17246.111.128.1 to 246.111.255.254246.111.255.25532,766
97246.112.0.0/17246.112.0.1 to 246.112.127.254246.112.127.25532,766
98246.112.128.0/17246.112.128.1 to 246.112.255.254246.112.255.25532,766
99246.113.0.0/17246.113.0.1 to 246.113.127.254246.113.127.25532,766
100246.113.128.0/17246.113.128.1 to 246.113.255.254246.113.255.25532,766
101246.114.0.0/17246.114.0.1 to 246.114.127.254246.114.127.25532,766
102246.114.128.0/17246.114.128.1 to 246.114.255.254246.114.255.25532,766
103246.115.0.0/17246.115.0.1 to 246.115.127.254246.115.127.25532,766
104246.115.128.0/17246.115.128.1 to 246.115.255.254246.115.255.25532,766
105246.116.0.0/17246.116.0.1 to 246.116.127.254246.116.127.25532,766
106246.116.128.0/17246.116.128.1 to 246.116.255.254246.116.255.25532,766
107246.117.0.0/17246.117.0.1 to 246.117.127.254246.117.127.25532,766
108246.117.128.0/17246.117.128.1 to 246.117.255.254246.117.255.25532,766
109246.118.0.0/17246.118.0.1 to 246.118.127.254246.118.127.25532,766
110246.118.128.0/17246.118.128.1 to 246.118.255.254246.118.255.25532,766
111246.119.0.0/17246.119.0.1 to 246.119.127.254246.119.127.25532,766
112246.119.128.0/17246.119.128.1 to 246.119.255.254246.119.255.25532,766
113246.120.0.0/17246.120.0.1 to 246.120.127.254246.120.127.25532,766
114246.120.128.0/17246.120.128.1 to 246.120.255.254246.120.255.25532,766
115246.121.0.0/17246.121.0.1 to 246.121.127.254246.121.127.25532,766
116246.121.128.0/17246.121.128.1 to 246.121.255.254246.121.255.25532,766
117246.122.0.0/17246.122.0.1 to 246.122.127.254246.122.127.25532,766
118246.122.128.0/17246.122.128.1 to 246.122.255.254246.122.255.25532,766
119246.123.0.0/17246.123.0.1 to 246.123.127.254246.123.127.25532,766
120246.123.128.0/17246.123.128.1 to 246.123.255.254246.123.255.25532,766
121246.124.0.0/17246.124.0.1 to 246.124.127.254246.124.127.25532,766
122246.124.128.0/17246.124.128.1 to 246.124.255.254246.124.255.25532,766
123246.125.0.0/17246.125.0.1 to 246.125.127.254246.125.127.25532,766
124246.125.128.0/17246.125.128.1 to 246.125.255.254246.125.255.25532,766
125246.126.0.0/17246.126.0.1 to 246.126.127.254246.126.127.25532,766
126246.126.128.0/17246.126.128.1 to 246.126.255.254246.126.255.25532,766
127246.127.0.0/17246.127.0.1 to 246.127.127.254246.127.127.25532,766
128246.127.128.0/17246.127.128.1 to 246.127.255.254246.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses